Login | Register
My pages Projects Community openCollabNet

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Catacomb] mysql not storing large files greater than 16M



sorry, meant to change the subject....


i am starting mysqld with the -O max_allowed_packet=100M.
this allows me to upload files up to 16M but no larger.
what do i need to do to upload files larger than 16M?

any catacomb mysql experts out there?


thanks
ljk



-----Original Message-----
From: Sung Kim [mailto:hunkim@soe.ucsc.edu]
Sent: Thursday, May 22, 2003 2:12 PM
To: 'Knight, Lloyd'
Cc: catacomb@webdav.org
Subject: RE: catacomb on solaris 2.8


Actually there is the file size limitation due to the limitation of MySQL maximum packet size.
With MySQL 3 ,  the maximum file size is 16M. You need to add this option with mysqld:
--set-variable=max_allowed_packet=16M 

MYSQL4 support maximum packet size up to 2G.

But that doesn't corrupt MySQL data, I believe.

Any idea about the MySQL corruption?
--
Sung Kim, http://www.cse.ucsc.edu 
-----Original Message-----
From: Knight, Lloyd [mailto:Lloyd.Knight@adc.com] 
Sent: Thursday, May 22, 2003 12:02 PM
To: 'hunkim@soe.ucsc.edu'
Cc: 'catacomb@webdav.org'
Subject: RE: catacomb on solaris 2.8

sung,

i just corrupted my mysql database beyond recovery when i tried to upload
a 19M file and then download it. i had to drop and add all the repos tables.

have you ever seen/heard of this?

thanks 

lloyd knight
-----Original Message-----
From: Sung Kim [mailto:hunkim@soe.ucsc.edu]
Sent: Wednesday, May 21, 2003 2:17 PM
To: 'Knight, Lloyd'
Cc: catacomb@webdav.org; cadaver@webdav.org
Subject: RE: catacomb on solaris 2.8
That's wired. I check the server log and it says [error] [client 155.226.255.42] Invalid Content-Length.
I guess this is your IP address. Which version of cadaver are you using?

--
Sung Kim, http://www.cse.ucsc.edu 
-----Original Message-----
From: Knight, Lloyd [mailto:Lloyd.Knight@adc.com] 
Sent: Wednesday, May 21, 2003 12:03 PM
To: 'hunkim@soe.ucsc.edu'
Subject: FW: catacomb on solaris 2.8

sung,

i also get the same error when i connect to http://ocean.cse.ucsc.edu/repos/ver
using the user id and password you gave me yesterday.
????

thanks

lloyd knight
-----Original Message-----
From: Knight, Lloyd 
Sent: Wednesday, May 21, 2003 1:42 PM
To: 'hunkim@soe.ucsc.edu'
Subject: RE: catacomb on solaris 2.8
sung,

sorry to bother you again, but i am having issues with cadaver.

i have connected to my catacomb repository with other clients, but
when i run:

./cadaver http://my.host.name:82/repos

i get:
Could not access /repos/ (Not WebDav-enabled?)
400 bad request.

would you have any ideas as to what i need to do?

thanks for your time.

lloyd knight
-----Original Message-----
From: Sung Kim [mailto:hunkim@soe.ucsc.edu]
Sent: Tuesday, May 20, 2003 12:58 PM
To: 'Knight, Lloyd'
Cc: catacomb@webdav.org
Subject: RE: catacomb on solaris 2.8
You can use cadaver 0.21.0 for Catacomb DLAS/DeltaV server. You can download Cadaver from http://www.webdav.org/cadaver/
Here is a screenshot of Cadaver with DeltaV command:

./cadaver http://ocean.cse.ucsc.edu/repos/ver

dav:/repos/ver/> ls
Listing collection `/repos/ver/': succeeded.
        bar.c                                  8  May 19 19:11
        foo.c                                  7  May 19 19:11
dav:/repos/ver/> version bar.c
Versioning `/repos/ver/bar.c/': succeeded.
dav:/repos/ver/> ls
Listing collection `/repos/ver/': succeeded.
      ^ bar.c                                  8  May 19 19:11
        foo.c                                  7  May 19 19:11
dav:/repos/ver/> checkout bar.c
Checking out `/repos/ver/bar.c/': succeeded.
dav:/repos/ver/> edit bar.c
dav:/repos/ver/> checkin bar.c
Checking in `/repos/ver/bar.c/': succeeded.
dav:/repos/ver/> report bar.c
Unrecognised command. Type 'help' for a list of commands.
dav:/repos/ver/> history bar.c
Version history of `/repos/ver/bar.c': 2 versions in history:
/repos/ver/bar.c/!/0/!/bar.c                      8  May 19 19:11 <V0>
/repos/ver/bar.c/!/1/!/bar.c                     13  May 19 19:11 <V1>

The ls command shows the list of resources. The special mark(^) shows the resource is under version control. 
The version command put a resource under version control. 
The checkout command is checking out a version controlled resource for editing. 
The history command shows version history and URL of each revision.

Still we need more *neat* DeltaV client and we are planning to work on it.

Let me take a look the compile problem.

Also you can use our test server, http://ocean.cse.ucsc.edu/repos/
(id: test1, passwd:tes1)

--
Sung Kim, http://www.cse.ucsc.edu 
-----Original Message-----
From: Knight, Lloyd [mailto:Lloyd.Knight@adc.com] 
Sent: Tuesday, May 20, 2003 10:06 AM
To: 'hunkim@soe.ucsc.edu'
Subject: RE: catacomb on solaris 2.8

sung,

thanks for the reply.

i have made some headway since this morning. i can now telnet to
the apache port and get 

HTTP/1.1 200 OK
Date: Tue, 20 May 2003 16:59:14 GMT
Server: Apache/2.0.44 (Unix) DAV/2 mod_jk2/2.0.2 Catacomb/0.8.0
DAV: 1,2
DAV: version-control,checkout, checkin, report
DAV: uncheckout,version-controlled-collection
DAV: <http://apache.org/dav/propset/fs/1>
MS-Author-Via: DAV
Allow: OPTIONS,GET,HEAD,POST,DELETE,TRACE,PROPFIND,PROPPATCH,COPY,MOVE,LOCK,UNLO
CK,VERSION-CONTROL,SEARCH
DASL: <DAV:basicsearch>
Content-Length: 0
Content-Type: httpd/unix-directory

one issue i still have is running make.  because i compiled apache with the solaris c compiler,
libtool specifies invalid options for gcc when i compile catacomb( -KPIC).  if i compile all the
.c modules by hand and then run make install, things seem to work.

it seems i need to use gcc 3.2.2 or some of the .c files do not compile properly.

what is the next logical step?  what clients are available?
my goal is to see if the webdav/deltav architecture will work for a versioned document management system.
that is why i started working with catacomb.  does catacomb have a user ineterface?

anyway, given my goals, how would you suggest i continue?

thanks for your time...

lloyd knight

-----Original Message-----
From: Sung Kim [mailto:hunkim@soe.ucsc.edu]
Sent: Tuesday, May 20, 2003 11:51 AM
To: 'Knight, Lloyd'
Subject: RE: catacomb on solaris 2.8
Sure. I installed Catacomb without any problem on Solaris 2.8. I am wondering which GCC version you are using.

Have a nice day.
--
Sung Kim, http://www.cse.ucsc.edu 
-----Original Message-----
From: Knight, Lloyd [mailto:Lloyd.Knight@adc.com] 
Sent: Tuesday, May 20, 2003 6:06 AM
To: 'hunkim@cse.ucsc.edu'
Subject: catacomb on solaris 2.8

hello,

i noticed a posting of yours in the catacomb archive.
in this posting, you mentioned you have catacomb working on
solaris 2.8.

i am trying this without the best results. (catacomb 0.8, solaris 2.8, mysql 4, apache 2.0.44)
i haven't been too successful in finding answers in the mailing list.
would you be open to answering a few questions?

thank you

lloyd knight

Lloyd J. Knight 
Senior Software Engineer 
BIA Engineering Systems 
Tel: 952.403.8473
Cell: 612.418.2628
lloyd_knight@adc.com
Learn about ADC - The Broadband Company at www.adc.com